GCLOUD_DATASTORE_CLEANUP-INDEXES(1)

NAME

gcloud datastore cleanup-indexes - remove unused datastore indexes based on your local index configuration

SYNOPSIS

gcloud datastore cleanup-indexes INDEX_FILE [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command removes unused datastore indexes based on your local index configuration. Any indexes that exist that are not in the index file will be removed.

POSITIONAL ARGUMENTS

    INDEX_FILE
        The path to your index.yaml file.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To remove unused indexes based on your local configuration, run:
    $ gcloud datastore cleanup-indexes ~/myapp/index.yaml